Get transaction info by account address

Account on-chain transaction history, which can include transfers, contract calls, and resource or permission operations.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Related resources

Path Params
string
required

Account address. (Format: Base58 or Hex). Example: TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM

Query Params
boolean

Set to true to return only confirmed transactions; set to false (or omit) to return both confirmed and unconfirmed. Cannot be used simultaneously with only_unconfirmed.

boolean

Set to true to return only unconfirmed transactions; set to false (or omit) to return both. Cannot be used simultaneously with only_confirmed.

boolean

Set to true to return only transactions sent to the address specified in the path. (Default: false)

boolean

Set to true to return only transactions sent from the address specified in the path. (Default: false)

int32

The maximum number of transactions to return per page. (Default: 20, Max: 200)

string

The fingerprint for pagination, obtained from the meta.fingerprint field of a previous response. Note: When using fingerprint, all other parameters must remain the same.

string

Sort order: block_timestamp,asc or block_timestamp,desc (default). Also accepts timestamp,asc / timestamp,desc.

int64

The minimum block timestamp to filter by. (Unit: milliseconds, Default: 0)

int64

The maximum block timestamp to filter by. (Unit: milliseconds, Default: current time)

int64

Synonym for min_timestamp. (Unit: milliseconds, integer epoch.)

int64

Synonym for max_timestamp. (Unit: milliseconds, integer epoch.)

Responses

403

Request rejected. Check the API key, security settings, and possible temporary blocking before retrying. Do not retry at high frequency. See Rate limits.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json